%define name wv
%define version 0.5.44
%define real_version 0.5.44
%define release 2mdk

Summary: MSWord 6/7/8/9 binary file format -> HTML converter
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Office
URL: http://www.wvWare.com/
Source: %{name}-%{real_version}.tar.bz2
Patch0: wv-0.5.44-configure.patch.bz2
PAtch1: wv-0.5.44-configure2.patch.bz2
BuildRequires: freetype freetype-devel libpng libpng-devel 
BuildRequires: libwmf zlib zlib-devel ImageMagick ImageMagick-devel
BuildRoot: %{_tmppath}/%{name}-buildroot
Obsoletes: mswordview 

%description
Wv is a program that understands the Microsoft Word 6/7/8/9
binary file format and is able to convert Word
documents into HTML, which can then be read with a browser.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}
%patch0 -p0 -b configin
%patch1 -p0 -b copnfig

%build

%configure --with-Magick=/usr/X11R6/include/X11/magick --with-ttf=%{_includedir}/freetype --with-wmf=%{_prefix} --prefix=%{_prefix}

%make ttfdir=%{_datadir}/fonts/ttf

%install
%makeinstall
cp $RPM_BUILD_DIR/%{name}/config-mswordview $RPM_BUILD_ROOT%{_libdir}/mswordview
rm -f notes/decompress/a.out

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ABIWORD-SUGGESTIONS CHANGELOG COPYING CREDITS 
%doc D_CREDITS D_README HACKING INSTALL KNOWN-BUGS README TESTING
%doc TODO.TXT Documentation 
%doc examples feature-examples gateway helper-scripts notes
%{_bindir}/*
%{_libdir}/libwv.a
%{_libdir}/mswordview
%{_libdir}/wv/*.xml
%{_libdir}/wv/patterns/*
%{_libdir}/wv/wingdingfont/*
%{_mandir}/man1/*

%changelog
* Wed Sep 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.44-2mdk
- bm && macros

* Wed Jun 28 2000 Sean P. Kane <spkane@spkane.org> 0.5.44-1mdk
- Added configure patch
- Changed name from mswordview to wv
- Added Obsoletes line
- Updated Requires line
- Upgraded to 0.5.44

* Tue Jun 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.14bw6-3mdk
- added support to wmf (by compiling with libwmf installed)

* Fri Mar 31 2000 Franois Pons <fpons@mandrakesoft.com> 0.5.14bw6-2mdk
- updated Group.

* Thu Nov 04 1999 John Buswell <johnb@mandrakesoft.com>
- updated to mswordview-0.5.14-bw6
- added install of config-mswordview
- Build Release

* Fri Jul 30 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- updated to  mswordview-0.5.14-bw3

* Thu Jul 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix path problems.


* Wed Jul 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix compilations problem.
- 0.5.14-bw2

* Sat Apr 24 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Update to 5.8.
- Mandrake adaptations.

* Tue Dec 29 1998 Ryan Weaver <ryanw@infohwy.com>
  [mswordview-0.5.2-1]
- Updated to MSWordView-0.5.2
- Changes up to 0.5.2
  * implemented auto text color colour check for table cells, no more
    black on black, or black on blue. i must look closely at what other
    auto changes word makes.
  * some uber-simple greyscaling code when table look says no-color.
  * verified it works under AIX, made a few changes that showed up due
    to its stricter malloc, theres probably a few more malloc related
    issues hiding in there.
  * column breaks show up as well now.
  * the various types of section breaks are distinguisable from the
    others, and from page breaks.
  * a few changes to make sure formatting and tables get on better 
    together.
  * sequence field supported, i.e caption numbering, i just use the last
    fields that msword left in there.
  * changed hyperlinking so that it works with bookmarks that are in
    comments (annotations).
  * i now support multiple bookmarks that end on the same location.
  * multiple bookmarks that start on the same location should be supported,
    but no examples yet.
  * the comment author initials are extracted and used in the main document
    when referencing comments.
  * comments now end when they are supposed to, only the correct comments get
    included, should work for fastsave, not tested.
  * removed unused variables, sorted out a few other warnings, maybe itll
    squeak by the irix compiler now ?
  * names and initial info for comments is extracted as well, and stuck in a 
    table at the end of the document.
  * fixed the <a name= for comments, should work in fast saved.
  * custom graphics for annotations.
